Ver Mensaje Individual
  #1 (permalink)  
Antiguo 04/01/2016, 00:22
Avatar de Hollman
Hollman
 
Fecha de Ingreso: enero-2003
Ubicación: Bogotá - Colombia
Mensajes: 202
Antigüedad: 21 años, 5 meses
Puntos: 1
Compatibilidad ZF2 con PHP5.3.3

Hola foristas.

Por necesidad imperiosa en el server tengo PHP5.3.3 y deseo ir haciendo un desarrollo (ir migrandola) a otra nueva versión bajo el esquema MVC con ZF2. La idea es que ambos deben coexistir o mejor dicho la misma sessión PHP en ambos debe ser válida.

He tratado hacer el famoso skeleton con el composer pero la mas reciente version de ZendSkeleton requiere PHP5.5 y ZF2.5, entonces me surge la duda, son compatibles ZendSkeleton y PHP5.3.3? si no lo son, entonces, si deseo continuar el desarrollo MVC deberé hacerlo con ZF1 irremediablemente? Habrá alguna forma de continuar el desarrollo con ZF así sea el 2.0 pero sin usar el ZendSkeleton?

Como les comenté la idea es que bajo la misma app web coexistan los 2 ambientes (el tradicional -antiguo procedimental-) y el nuevo MVC. Así poco a poco voy actualizando la app. Estaré soñando?

Muchas gracias y muchos exitos.